 
 /** 
 *  
 *<br> Name:			Mr. Eliot
 *<br> Date:			10-18-2015, 10-13-2022, 10-13-2023
 *<br> Period:			ALL
 *<br> Assignment:		Lesson 06 JavaDocs Example
 *<br> Description:		PizzaParlor Example for JavaDocs
 *<br> Cite Sources:	ICT Curriculum
 */


/**
 * class PizzaParlorTester - a class which creates a number of PizzaParlor objects, tests ALL constructors, and tests ALL methods of that class. 
 */
public class PizzaParlorTester
{

	/**
	* main method - there is only one main() method, it runs first, and it executes (tests) all of the other PizzaParlor class methods!
	* @param args -- A String array of arguments (parameters) sent to the main method.  We don't use this in class, but we **could** send parameters to the main() method from the command line as a String array of values.
	*/
	public static void main(String[] args)
	{
		//Create PizzaParlor Objects
		PizzaParlor ParlorA = new PizzaParlor();
		PizzaParlor ParlorB = new PizzaParlor("Tony\'s Little Italy", 10, 10, 5, 1000, 500, 300, 0, 20000);
		
		//PIZZA PARLOR A:  order some additional pizzas
		ParlorA.orderCheese();
		ParlorA.orderCheese();
		ParlorA.orderVeggie();
		ParlorA.orderPepperoni();
		ParlorA.orderPepperoni();
		
		//PIZZA PARLOR B:  order some additional pizzas
		ParlorB.orderCheese();
		ParlorB.orderPepperoni();
		ParlorB.orderPepperoni();
		ParlorB.orderPepperoni();
		ParlorB.orderVeggie();
		ParlorB.orderVeggie();	 
		ParlorB.orderCheese();
	
		//test "getter" methods for PIZZA PARLOR A
		System.out.println(); 
		System.out.println();
		System.out.println("PIZZA PARLOR A INFO IS:");
		System.out.println("The Name of Parlor A is \"" + ParlorA.getName() + "\"");
		System.out.println("The Number of Cheese Pizzas Ordered is " + ParlorA.getNumCheesePizzas() + " pizzas.");
		System.out.println("The Number of Pepperoni Pizzas Ordered is " + ParlorA.getNumPepperoniPizzas() + " pizzas.");
		System.out.println("The Number of Veggie Pizzas Ordered is " + ParlorA.getNumVeggiePizzas() + " pizzas.");
		System.out.println("The Cheese Supply Level is " + ParlorA.getCheeseSupply() + " oz.");
		System.out.println("The Pepperoni Supply Level is " + ParlorA.getPepperoniSupply() + " oz.");
		System.out.println("The Veggie Supply Level is " + ParlorA.getVeggieSupply() + " oz.");
		System.out.println("The Current Revenue is $" + ParlorA.getRevenueTotal());
		System.out.println("The Bank Account Balance is $" + ParlorA.getBankAccountBalance());		
		System.out.println(); 
		System.out.println();	   
			  
		//test "getter" methods for PIZZA PARLOR B
		System.out.println("PIZZA PARLOR B INFO IS:");
		System.out.println("The Name of Parlor B is \"" + ParlorB.getName() + "\"");
		System.out.println("The Number of Cheese Pizzas Ordered is " + ParlorB.getNumCheesePizzas() + " pizzas.");
		System.out.println("The Number of Pepperoni Pizzas Ordered is " + ParlorB.getNumPepperoniPizzas() + " pizzas.");
		System.out.println("The Number of Veggie Pizzas Ordered is " + ParlorB.getNumVeggiePizzas() + " pizzas.");
		System.out.println("The Cheese Supply Level is " + ParlorB.getCheeseSupply() + " oz.");
		System.out.println("The Pepperoni Supply Level is " + ParlorB.getPepperoniSupply() + " oz.");
		System.out.println("The Veggie Supply Level is " + ParlorB.getVeggieSupply() + " oz.");
		System.out.println("The Current Revenue is $" + ParlorB.getRevenueTotal());
		System.out.println("The Bank Account Balance is $" + ParlorB.getBankAccountBalance());		  
		System.out.println();
		System.out.println();		
	}
}

/*
RUN OUTPUT:

C:\Users\deliot>cd /D "g:\...\PizzaParlor_JavaDocs_Student\" && "C:\Program Files\Java\jdk-11\bin\javac" -classpath .;"C:
\Program Files\Microsoft VS Code\data\JavaStuff\JARfiles\*"; PizzaParlorTester.java && "C:\Program Files\Java\jdk-11\bin\java" -classpath .;"C:\Program Files\Java\jdk-11\bin\javac"
 -classpath .;"C:\Program Files\Microsoft VS Code\data\JavaStuff\JARfiles\*"; PizzaParlorTester


PIZZA PARLOR A INFO IS:
The Name of Parlor A is "Default Pizza Parlor"
The Number of Cheese Pizzas Ordered is 2 pizzas.
The Number of Pepperoni Pizzas Ordered is 2 pizzas.
The Number of Veggie Pizzas Ordered is 1 pizzas.
The Cheese Supply Level is 352 oz.
The Pepperoni Supply Level is 188 oz.
The Veggie Supply Level is 188 oz.
The Current Revenue is $53.0
The Bank Account Balance is $1052.0


PIZZA PARLOR B INFO IS:
The Name of Parlor B is "Tony's Little Italy"
The Number of Cheese Pizzas Ordered is 12 pizzas.
The Number of Pepperoni Pizzas Ordered is 13 pizzas.
The Number of Veggie Pizzas Ordered is 7 pizzas.
The Cheese Supply Level is 936 oz.
The Pepperoni Supply Level is 482 oz.
The Veggie Supply Level is 276 oz.
The Current Revenue is $336.0
The Bank Account Balance is $20334.0



g:\...\PizzaParlor_JavaDocs_Student>

*/

